Skip to main content
GET
/
ai-agents
/
tools
List Tools
curl --request GET \
  --url https://{appid}.api-{region}.cometchat.io/v3/ai-agents/tools \
  --header 'apikey: <api-key>'
[
  {
    "_id": "myapp_myTool",
    "appId": "my-app-id",
    "name": "myTool",
    "type": "action",
    "displayName": "My Tool",
    "executionText": "Running my tool...",
    "doNotExecute": false,
    "tool": {
      "name": "myTool",
      "description": "A helpful tool",
      "parameters": {
        "type": "object",
        "properties": {},
        "required": []
      }
    },
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Query Parameters

type
enum<string>

Filter tools by type

Available options:
action,
tool

Response

List of tools

_id
string
Example:

"myapp_myTool"

appId
string
Example:

"my-app-id"

name
string
Example:

"myTool"

type
enum<string>
Available options:
action,
tool
Example:

"action"

displayName
string
Example:

"My Tool"

executionText
string
Example:

"Running my tool..."

doNotExecute
boolean
Example:

false

tool
object
createdAt
string<date-time>
updatedAt
string<date-time>